2012-06-20 14:53

	* Mole:

	   An open near real-time database-centric Earthworm subsystem.
	   Matteo Quintiliani and Stefano Pintore
	   Istituto Nazionale di Geofisica e Vulcanologia - Italy
	   Mail bug reports and suggestions to <quintiliani@ingv.it> 

2012-06-20 12:52  mtheo <matteo.quintiliani@ingv.it>

	* [r1778] ew2moledb/ew2moledb.c: Added EW2MOLEDB_VERSION

2012-06-20 12:46  mtheo <matteo.quintiliani@ingv.it>

	* [r1777] ChangeLog: Updated ChangeLog

2012-06-20 12:41  mtheo <matteo.quintiliani@ingv.it>

	* [r1776] HISTORY[ADD]: Start HISTORY

2012-06-20 12:41  mtheo <matteo.quintiliani@ingv.it>

	* [r1775] no_dist/scripts/mole_svn2cl.sh: Minor change

2012-06-20 12:39  mtheo <matteo.quintiliani@ingv.it>

	* [r1774] doc[DEL], no_dist/doc[CPY]: Moved doc in no_dist

2012-06-20 12:35  mtheo <matteo.quintiliani@ingv.it>

	* [r1773] ChangeLog[ADD], no_dist[ADD], no_dist/scripts[ADD],
	  no_dist/scripts/SVNAUTHORS[ADD], no_dist/scripts/mole_svn2cl.sh[ADD]:
	  Added ChangeLog and mole_svn2cl.sh

2012-06-20 12:11  mtheo <matteo.quintiliani@ingv.it>

	* [r1772] README: Improvements in README

2012-06-20 11:59  mtheo <matteo.quintiliani@ingv.it>

	* [r1771] ew2moledb/TODO: Minor change

2012-06-20 11:58  mtheo <matteo.quintiliani@ingv.it>

	* [r1770] ew2moledb/ew2moledb_arc.c: Moved function strlinepointto in
	  read_arc.c and renamed to parse_arc_next_shadow

2012-06-20 11:45  mtheo <matteo.quintiliani@ingv.it>

	* [r1769] ew2moledb/makefile.ux: Fixed variable for makefile.ux

2012-06-20 11:45  mtheo <matteo.quintiliani@ingv.it>

	* [r1768] ew2moledb/makefile.sol: Fixed variable for makefile.sol

2012-06-19 13:06  mtheo <matteo.quintiliani@ingv.it>

	* [r1767] ew2moledb/ew2moledb.c, ew2moledb/ew2moledb_arc.c,
	  ew2moledb/ew2moledb_arc.h, ew2moledb/ew2moledb_error.c,
	  ew2moledb/ew2moledb_error.h, ew2moledb/ew2moledb_magnitude.c,
	  ew2moledb/ew2moledb_magnitude.h, ew2moledb/ew2moledb_mysql.c,
	  ew2moledb/ew2moledb_mysql.h, ew2moledb/ew2moledb_pickcoda.c,
	  ew2moledb/ew2moledb_pickcoda.h, ew2moledb/ew2moledb_quakelink.c,
	  ew2moledb/ew2moledb_quakelink.h, ew2moledb/ew2moledb_sendmail.c,
	  ew2moledb/ew2moledb_sendmail.h, ew2moledb/ew2moledb_strongmotionII.c,
	  ew2moledb/ew2moledb_strongmotionII.h, ew2moledb/ew2moledb_tracebuf.c,
	  ew2moledb/ew2moledb_tracebuf.h: Removed CVS revisions history

2012-06-19 13:02  mtheo <matteo.quintiliani@ingv.it>

	* [r1766] ew2moledb/makefile.nt, ew2moledb/makefile.sol,
	  ew2moledb/makefile.ux: Restyling makefiles

2012-06-19 12:59  mtheo <matteo.quintiliani@ingv.it>

	* [r1765] ew2moledb/makefile.nt: Added changes to compile on Windows

2012-06-11 09:24  mtheo <matteo.quintiliani@ingv.it>

	* [r1760] AUTHORS, README: Changes From CVS

2012-04-06 12:32  mtheo <matteo.quintiliani@ingv.it>

	* [r1710] moleface/tables/ew_events_summary/fields.ini: Improved
	  visualization of quality values and other minor changes

2012-04-06 12:31  mtheo <matteo.quintiliani@ingv.it>

	* [r1709] moleface/conf.ini: Reorder table menu

2012-04-06 09:52  mtheo <matteo.quintiliani@ingv.it>

	* [r1706] moleface/tables/ew_module[ADD],
	  moleface/tables/ew_module/fields.ini[ADD]: Added ew_module display
	  configuration

2012-04-06 09:52  mtheo <matteo.quintiliani@ingv.it>

	* [r1705] moleface/tables/ew_instance/fields.ini: Added count of module
	  for single instance and improved some comment

2012-04-06 09:51  mtheo <matteo.quintiliani@ingv.it>

	* [r1704] moleface/tables/v_ew_params_pick_sta_last_revision/fields.ini:
	  Added filter for cha and net in v_ew_params_pick_sta_last_revision

2012-04-06 08:45  mtheo <matteo.quintiliani@ingv.it>

	* [r1702] moleface/templates_c[ADD]: Added empty directory 'templates_c'
	  writable from everyone

2012-04-06 08:43  mtheo <matteo.quintiliani@ingv.it>

	* [r1701] moleface/index.php: Updated moleface to use xataface 1.3.x

2012-04-06 08:13  mtheo <matteo.quintiliani@ingv.it>

	* [r1699] moledb/moledb_create_tables.sql: Added attribute
	  ewinstallation to table ew_instance

2012-04-06 07:51  mtheo <matteo.quintiliani@ingv.it>

	* [r1698] moledb/ew_params[DEL], moledb/ew_params_pick[CPY]: Moved
	  ew_params to ew_params_pick

2012-03-29 11:23  mtheo <matteo.quintiliani@ingv.it>

	* [r1690] ew2moledb/ew2moledb_pickcoda.c: Fixed bug: pick->wt is a char
	  which contains a integer value 0-4

2012-03-21 11:10  mtheo <matteo.quintiliani@ingv.it>

	* [r1678] moleface/tables/ew_events_summary/fields.ini: changed many
	  field options

2012-03-21 11:09  mtheo <matteo.quintiliani@ingv.it>

	* [r1677] moleface/tables/ew_events_summary/relationships.ini: change
	  some field option

2012-03-21 11:08  mtheo <matteo.quintiliani@ingv.it>

	* [r1676] moleface/tables/ew_events_summary/ew_events_summary.php: Added
	  map for earthquake location and phases

2012-03-21 11:07  mtheo <matteo.quintiliani@ingv.it>

	* [r1675] moleface/conf.ini: Added cache_queries

2012-03-12 10:54  mtheo <matteo.quintiliani@ingv.it>

	* [r1644] ew2moledb/ew2moledb_magnitude.c: removed old magnitude quality
	  computation

2012-03-09 14:09  mtheo <matteo.quintiliani@ingv.it>

	* [r1643] ew2moledb/ew2moledb_magnitude.c: Compute letters of magnitude
	  quality by real number of qualityi for the first letter and the ingv
	  computation for the second letter

2012-02-29 09:40  mtheo <matteo.quintiliani@ingv.it>

	* [r1608] moledb/moledb_create_procedures.sql: Minor change in
	  sp_ins_ew_magnitude_phase()

2012-02-27 22:09  mtheo <matteo.quintiliani@ingv.it>

	* [r1603] doc/mole-paper/mole.lyx: Some minor revision in accordance
	  with
	  http://www.seismosoc.org/publications/srl/electronic-seismologist.php

2012-02-27 22:03  mtheo <matteo.quintiliani@ingv.it>

	* [r1602] doc/mole-paper/images[ADD],
	  doc/mole-paper/images/moledb_schema.jpg[ADD],
	  doc/mole-paper/images/moledb_schema.svg[ADD]: Added mole schema

2012-02-27 21:58  mtheo <matteo.quintiliani@ingv.it>

	* [r1601] doc/mole-paper/images[DEL]: Removed

2012-02-27 15:17  mtheo <matteo.quintiliani@ingv.it>

	* [r1595] moledb/moledb_create_triggers.sql: Added triggers
	  tr_ew_arc_phase_a_i, tr_ew_magnitude_phase_a_i,
	  tr_ew_strongmotionII_a_i from seisev repository

2012-02-27 15:10  mtheo <matteo.quintiliani@ingv.it>

	* [r1594] moledb/moledb_create_triggers.sql: Merged call to store
	  procedure to populate seisev from triggers

2012-02-27 08:43  mtheo <matteo.quintiliani@ingv.it>

	* [r1587] moledb/moledb_create_functions.sql: Added function fn_delta()

2012-02-22 14:08  mtheo <matteo.quintiliani@ingv.it>

	* [r1583] moleface/tables/ew_events_summary/ew_events_summary.php: Added
	  a map for displaying station location

2012-02-22 14:07  mtheo <matteo.quintiliani@ingv.it>

	* [r1582] moleface/tables/ew_events_summary/fields.ini: Changed fields
	  display

2012-02-22 13:09  mtheo <matteo.quintiliani@ingv.it>

	* [r1581] moledb/moledb_master_script.sh,
	  moledb/moledb_update_scnl_from_seisnet.sh[ADD],
	  moledb/seisnet_scnl.format[ADD], moledb/seisnet_scnl.sql[ADD]: Added
	  script moledb_update_scnl_from_seisnet.sh for populating/updating
	  station information in table ew_scnl from database seisnet

2012-02-22 12:35  mtheo <matteo.quintiliani@ingv.it>

	* [r1580] moledb/moledb_create_procedures.sql: Fixed bug in procedure
	  sp_ins_ew_scnl()

2012-02-22 11:16  mtheo <matteo.quintiliani@ingv.it>

	* [r1579] moledb/moledb_master_script.sh: Updated mole master script

2012-02-22 11:07  mtheo <matteo.quintiliani@ingv.it>

	* [r1578] moledb/moledb_populate_test_from_hyporing_endeavour.sql.gz,
	  moledb/moledb_populate_test_from_hyporing_hew1.sql.gz,
	  moledb/moledb_populate_test_from_hyporing_hew2.sql.gz,
	  moledb/moledb_populate_test_from_pickring_hew1.sql.gz: Updated call to
	  sp_ins_ew_magnitude_summary() which have a new parameter ingv_quality

2012-02-22 09:55  mtheo <matteo.quintiliani@ingv.it>

	* [r1573] moleface/misc[ADD], moleface/misc/_auth.sql[ADD]: Added SQL
	  script for creating table for xataface authentication

2012-02-22 09:53  mtheo <matteo.quintiliani@ingv.it>

	* [r1572] moleface/.htaccess, moleface/conf.ini, moleface/index.php,
	  moleface/tables/ew_events_summary/fields.ini,
	  moleface/tables/ew_events_summary/relationships.ini,
	  moleface/tables/v_ew_params_pick_sta_last_revision/fields.ini,
	  moleface/tables/v_ew_params_picks_vs_phases[ADD],
	  moleface/tables/v_ew_params_picks_vs_phases/fields.ini[ADD]: Some
	  updates for new moleface

2011-12-12 14:56  mtheo <matteo.quintiliani@ingv.it>

	* [r1401] moledb/moledb_create_tables.sql: Change position to
	  ingv_mag_quality

2011-12-12 14:12  mtheo <matteo.quintiliani@ingv.it>

	* [r1400] ew2moledb/ew2moledb_magnitude.c,
	  moledb/moledb_create_procedures.sql, moledb/moledb_create_tables.sql:
	  Set quality to CHAR(2)

2011-12-07 12:28  mtheo <matteo.quintiliani@ingv.it>

	* [r1397] ew2moledb/ew2moledb_magnitude.c,
	  moledb/moledb_create_procedures.sql, moledb/moledb_create_tables.sql:
	  Inserita calcola della qualita' della magnitudo in ew2moledb
	  e aggiornata tabella ew_magnitude_summary e stored procedure
	  sp_ins_ew_magnitude_summary.
	  Fare riferimento al ticket #194.

2011-11-21 13:43  carletto

	* [r1367] moledb/moledb_create_triggers.sql: removed routines to
	  populate ingv db

2011-10-25 06:22  carletto

	* [r1325] moledb/moledb_master_script.sh: aggiunti i grant all'utente
	  mole per la crazione delle sp e le select sul db mysql

2011-08-26 09:49  mtheo <matteo.quintiliani@ingv.it>

	* [r1268] moledb/ew_params/ew_params_pick.sh: Input file is now the
	  first argument

2011-08-04 09:17  ilpint <stefano.pintore@ingv.it>

	* [r1247] doc/mole-paper/mole.lyx: Changes in introduction, altrer
	  aggiunte in italiano

2011-08-03 12:53  ilpint <stefano.pintore@ingv.it>

	* [r1246] doc/mole-paper/mole.lyx: Aggiunte in italiano

2011-08-03 12:02  mtheo <matteo.quintiliani@ingv.it>

	* [r1245] doc/mole-paper/mole.lyx: Aggiunte note e ristrutturati i
	  paragrafi insieme a Stefano

2011-08-03 11:35  ilpint <stefano.pintore@ingv.it>

	* [r1244] doc/mole-paper/mole.lyx: Minor changes

2011-07-06 14:36  mtheo <matteo.quintiliani@ingv.it>

	* [r1210] doc/mole-paper/images/ingv_moledb_withlink.pdf[ADD],
	  doc/mole-paper/images/moledb.png[DEL], doc/mole-paper/mole.lyx:
	  Changed image for the schema of Mole DB

2011-06-23 13:40  ilpint <stefano.pintore@ingv.it>

	* [r1186] doc/mole-paper/mole.lyx: Changes in Mole database description

2011-03-01 10:47  mtheo <matteo.quintiliani@ingv.it>

	* [r941] moledb/moledb_create_triggers.sql: Merged changes from triggers
	  for seisev
	  NEED TO BE TESTED!!!

2010-12-30 15:44  mtheo <matteo.quintiliani@ingv.it>

	* [r706] moleface/index.php: Set some table default sorting

2010-12-30 15:44  mtheo <matteo.quintiliani@ingv.it>

	* [r705] moleface/conf.ini: Enabled cache_queries, added
	  v_ew_params_picks_vs_phases and changed name of Users to
	  datafaceew_users

2010-12-30 13:46  mtheo <matteo.quintiliani@ingv.it>

	* [r704] AUTHORS[ADD], BUGS[ADD], COPYING[ADD], README[ADD]: Start empty
	  file for mole description

2010-12-30 13:35  mtheo <matteo.quintiliani@ingv.it>

	* [r703] moledb/moledb_create_ew_mole_regions.sql: Improved again the
	  function fn_find_region_name()

2010-12-29 16:51  mtheo <matteo.quintiliani@ingv.it>

	* [r702] moledb/moledb_create_ew_params_picks_vs_phases.sql: Added
	  ewinstance name to the view ew_params_picks_vs_phases

2010-12-29 16:40  mtheo <matteo.quintiliani@ingv.it>

	* [r701] moledb/ew_params/tot_start_end_time_picks_vs_phases_calls.sh:
	  Generate calls for multiple days

2010-12-29 16:17  mtheo <matteo.quintiliani@ingv.it>

	* [r700] moledb/moledb_create_ew_params_picks_vs_phases.sql[ADD],
	  moledb/moledb_create_ew_params_picks_vs_phases_sp.sql[ADD]: Table and
	  procedures for storing information about picks and phases

2010-12-29 16:16  mtheo <matteo.quintiliani@ingv.it>

	* [r699]
	  moledb/ew_params/tot_start_end_time_picks_vs_phases_calls.format[ADD],
	  moledb/ew_params/tot_start_end_time_picks_vs_phases_calls.sh[ADD],
	  moledb/ew_params/tot_start_end_time_picks_vs_phases_calls.sql[ADD]:
	  Scripts for generating calls to store information about picks and
	  phases

2010-12-29 13:19  mtheo <matteo.quintiliani@ingv.it>

	* [r698] moledb/moledb_create_ew_mole_regions.sql: Added READS SQL DATA
	  to declaration function fn_find_region_name()

2010-12-29 13:01  mtheo <matteo.quintiliani@ingv.it>

	* [r697] moledb/ew_mole_regions/out_regions.sql,
	  moledb/ew_mole_regions/regions.format,
	  moledb/ew_mole_regions/regions.sh,
	  moledb/ew_mole_regions/regions_neic.format: Changes for using new
	  table ew_region_kind

2010-12-29 13:00  mtheo <matteo.quintiliani@ingv.it>

	* [r696] moledb/moledb_create_ew_mole_regions.sql: Improved the
	  functions fn_pnpoly() and fn_find_region_name()
	  Added table ew_region_kind
	  Added the reference key `kind` within the table ew_region_geom

2010-12-29 12:55  mtheo <matteo.quintiliani@ingv.it>

	* [r695] moledb/ew_mole_regions/regions_neic.sql: Inverted order of the
	  vertex of the polygon

2010-12-27 14:46  mtheo <matteo.quintiliani@ingv.it>

	* [r693] moledb/moledb_create_ew_mole_regions.sql: Optimized the mysql
	  function fn_pnpoly()

2010-12-27 12:28  mtheo <matteo.quintiliani@ingv.it>

	* [r692] moledb/ew_mole_regions/out_regions.sql,
	  moledb/ew_mole_regions/regions.format,
	  moledb/ew_mole_regions/regions_neic.format: Replace within region
	  names the character _ with single space

2010-12-27 12:28  mtheo <matteo.quintiliani@ingv.it>

	* [r691] moledb/moledb_create_ew_mole_regions.sql: Fixed output for
	  function fn_find_region_name()

2010-12-22 17:35  mtheo <matteo.quintiliani@ingv.it>

	* [r690] moledb/moledb_create_ew_mole_regions.sql: Changed output of
	  function fn_find_region_name()

2010-12-22 17:32  mtheo <matteo.quintiliani@ingv.it>

	* [r689] moledb/moledb_create_ew_mole_regions.sql: Fix minor bug:
	  removed global variable

2010-12-22 17:12  mtheo <matteo.quintiliani@ingv.it>

	* [r688] moledb/moledb_create_ew_mole_regions.sql: Improvement: added
	  function fn_pnpoly() which is called by fn_find_region_name()

2010-12-22 12:59  mtheo <matteo.quintiliani@ingv.it>

	* [r684] moledb/moledb_create_ew_mole_regions.sql: Changed function
	  fn_find_region_name()
	  Output regions are sorted by the relationship "Inclusion"

2010-12-15 07:17  mtheo <matteo.quintiliani@ingv.it>

	* [r658] moledb/moledb_create_triggers.sql: Removed drop table and added
	  'CREATE TABLE IF NOT EXISTS' for table ew_events_summary

2010-12-14 12:05  mtheo <matteo.quintiliani@ingv.it>

	* [r657] moledb/moledb_create_procedures_sis.sql: Richiesto da
	  valentino, aggiunto campo ewsqkid alla vista vw_cmplocations

2010-12-07 15:28  mtheo <matteo.quintiliani@ingv.it>

	* [r643] ew2moledb/ew2moledb_mysql.c: Improved error management for
	  mysql connection

2010-12-07 15:21  mtheo <matteo.quintiliani@ingv.it>

	* [r642] ew2moledb/ew2moledb_mysql.c: Changed a little debug message for
	  ew2moledb

2010-12-07 15:21  mtheo <matteo.quintiliani@ingv.it>

	* [r641] ew2moledb/ew2moledb_pickcoda.c,
	  ew2moledb/ew2moledb_quakelink.c, ew2moledb/ew2moledb_tracebuf.c: added
	  ; after CALL

2010-12-07 14:28  mtheo <matteo.quintiliani@ingv.it>

	* [r639] ew2moledb/ew2moledb.d, ew2moledb/ew2moledb_hyporing.d,
	  ew2moledb/ew2moledb_pickring.d, ew2moledb/ew2moledb_wavering.d:
	  substituted value for parameter EWInstanceName

2010-12-07 14:20  mtheo <matteo.quintiliani@ingv.it>

	* [r638] ew2moledb/ew2moledb_hyporing.d, ew2moledb/ew2moledb_pickring.d,
	  ew2moledb/ew2moledb_wavering.d: Removed unused parameters

2010-12-07 13:00  mtheo <matteo.quintiliani@ingv.it>

	* [r631] moledb/moledb_create_functions.sql: Added function
	  fn_get_tbname()

2010-12-07 12:37  mtheo <matteo.quintiliani@ingv.it>

	* [r630] moledb/moledb_create_functions.sql: Changed name
	  fn_get_prefix_from_datetime() to fn_get_suffix_from_datetime()

2010-12-07 12:28  mtheo <matteo.quintiliani@ingv.it>

	* [r629] moledb/moledb_create_triggers.sql: Added more comments

2010-12-07 12:28  mtheo <matteo.quintiliani@ingv.it>

	* [r628] moledb/moledb_create_functions.sql: Added function
	  fn_get_prefix_from_datetime()

2010-12-06 13:53  mtheo <matteo.quintiliani@ingv.it>

	* [r623] ew2moledb/ew2moledb.c: Added minor descriptions

2010-12-02 20:49  mtheo <matteo.quintiliani@ingv.it>

	* [r598] ew2moledb/ew2moledb.c: Added comments

2010-12-02 20:45  mtheo <matteo.quintiliani@ingv.it>

	* [r597] ew2moledb/ew2moledb.c: Added comments

2010-12-02 18:34  mtheo <matteo.quintiliani@ingv.it>

	* [r596] ew2moledb/ew2moledb.c: Removed other unused variables

2010-12-02 11:16  mtheo <matteo.quintiliani@ingv.it>

	* [r591] ew2moledb/ew2moledb.c: Fixed bug: call initqueue() after
	  configuration

2010-12-02 11:00  mtheo <matteo.quintiliani@ingv.it>

	* [r590] ew2moledb/ew2moledb_mysql.c: Removed unused variables

2010-12-02 10:59  mtheo <matteo.quintiliani@ingv.it>

	* [r589] ew2moledb/ew2moledb.c: Fixed minor syntax problem

2010-12-02 10:56  mtheo <matteo.quintiliani@ingv.it>

	* [r588] ew2moledb/ew2moledb.c: Added locked functions for flags_term,
	  setlck_flags_term() and testlck_flags_term()
	  Minori sparse improvements

2010-12-02 10:12  mtheo <matteo.quintiliani@ingv.it>

	* [r587] ew2moledb/ew2moledb.c: Made minor improvements about specific
	  mutex_OutQueue

2010-12-02 08:55  mtheo <matteo.quintiliani@ingv.it>

	* [r586] ew2moledb/ew2moledb.c: Added a specific mutex mutex_OutQueue
	  for variable OutQueue

2010-12-02 08:34  mtheo <matteo.quintiliani@ingv.it>

	* [r585] ew2moledb/ew2moledb.c: Moved some global variables to local
	  scope
	  Removed not used variable

2010-12-01 21:28  mtheo <matteo.quintiliani@ingv.it>

	* [r584] ew2moledb/ew2moledb.c: Added call to CloseMutex()

2010-12-01 15:18  mtheo <matteo.quintiliani@ingv.it>

	* [r583] ew2moledb/ew2moledb_mysql.c, ew2moledb/ew2moledb_mysql.h: Added
	  functions
	  ew2moledb_mysql_consume_result()
	  ew2moledb_mysql_free_results()
	  ew2moledb_mysql_only_query_p()
	  Substitude mysql_use_result() with mysql_store_result()

2010-12-01 15:16  mtheo <matteo.quintiliani@ingv.it>

	* [r582] ew2moledb/ew2moledb.c, ew2moledb/ew2moledb.d: Added parameter
	  DebugMySql

2010-12-01 13:01  mtheo <matteo.quintiliani@ingv.it>

	* [r581] ew2moledb/ew2moledb.c: First tentative to use persistent
	  connection on DB mysql
	  Made threads joinable
	  Several medium improvements

2010-12-01 12:34  mtheo <matteo.quintiliani@ingv.it>

	* [r579] ew2moledb/ew2moledb_mysql.c, ew2moledb/ew2moledb_mysql.h: Added
	  functions ew2moledb_mysql_connect_p() ew2moledb_mysql_query_p() and
	  ew2moledb_mysql_close_p()

2010-11-30 10:33  mtheo <matteo.quintiliani@ingv.it>

	* [r573] ew2moledb/ew2moledb.c: Several medium improvements

2010-11-30 10:32  mtheo <matteo.quintiliani@ingv.it>

	* [r572] ew2moledb/ew2moledb_quakelink.c: Removed a debug messages

2010-11-29 15:02  mtheo <matteo.quintiliani@ingv.it>

	* [r571] ew2moledb/ew2moledb.c: Substituted some calls to
	  ew2moledb_status() with logit()

2010-11-29 14:26  mtheo <matteo.quintiliani@ingv.it>

	* [r569] ew2moledb/ew2moledb.c: Added calls to functions dumpqueue() and
	  undumpqueue()
	  for writing and reading queue messages to and from file
	  when program exits and restarts.

2010-11-26 17:40  mtheo <matteo.quintiliani@ingv.it>

	* [r563] ew2moledb/ew2moledb.c: Fixed format of the error messages

2010-11-26 16:47  mtheo <matteo.quintiliani@ingv.it>

	* [r562] ew2moledb/ew2moledb.c, ew2moledb/ew2moledb_mysql.c: Removed
	  unused variables

2010-11-26 16:36  mtheo <matteo.quintiliani@ingv.it>

	* [r561] ew2moledb/ew2moledb.c: Send error message to the ring when a
	  MySql error occurs

2010-11-26 16:35  mtheo <matteo.quintiliani@ingv.it>

	* [r560] ew2moledb/ew2moledb_mysql.c, ew2moledb/ew2moledb_mysql.h: Added
	  the following defines
	  #define EW2MOLEDB_OK 0
	  #define EW2MOLEDB_ERR_CONNDB -1
	  #define EW2MOLEDB_ERR_EXQUERY -2

2010-11-26 15:02  mtheo <matteo.quintiliani@ingv.it>

	* [r557] ew2moledb/ew2moledb.c: Removed unuseful parameters and
	  functions
	  Send error message into the ring when SQL fails

2010-11-26 15:00  mtheo <matteo.quintiliani@ingv.it>

	* [r556] ew2moledb/ew2moledb.d: Removed unuseful parameters

2010-10-15 12:33  mtheo <matteo.quintiliani@ingv.it>

	* [r488]
	  moledb/ew_params/tot_start_end_time_picks_vs_phases_for_chan.sql:
	  Improved output
	  Fix: count only quake-id avoding to consider the quake-id version

2010-10-15 12:32  mtheo <matteo.quintiliani@ingv.it>

	* [r487] moledb/ew_params/tot_start_end_time_phases_for_chan.sql: Fix:
	  count only quake-id avoding to consider the quake-id version

2010-10-15 12:00  mtheo <matteo.quintiliani@ingv.it>

	* [r486] moledb/ew_params/tot_start_end_time_picks_for_chan.sh,
	  moledb/ew_params/tot_start_end_time_picks_vs_phases_for_chan.sql[ADD]:
	  Added tot_start_end_time_picks_vs_phases_for_chan.sql

2010-10-15 11:49  mtheo <matteo.quintiliani@ingv.it>

	* [r485] moledb/ew_params/tot_start_end_time_phases_for_chan.sql[ADD],
	  moledb/ew_params/tot_start_end_time_picks_for_chan.sh: Added
	  tot_start_end_time_phases_for_chan.sql

2010-10-07 15:35  mtheo <matteo.quintiliani@ingv.it>

	* [r481] moledb/ew_params/tot_start_end_time_picks_for_chan.sh[ADD]:
	  Added script for automatically calling mysql_format with
	  tot_start_end_time_picks_for_chan.sql

2010-10-07 15:27  mtheo <matteo.quintiliani@ingv.it>

	* [r480] moledb/ew_params/tot_start_end_time_picks_for_chan.sql: Changed
	  to make easier parsing

2010-10-07 15:26  mtheo <matteo.quintiliani@ingv.it>

	* [r479] moledb/ew_params/tot_start_end_time_picks_for_chan.sql[ADD]:
	  Start

2010-09-17 19:38  mtheo <matteo.quintiliani@ingv.it>

	* [r450] moleface/tables/ew_events_summary/fields.ini: Added filters and
	  reordered fields of the table ew_events_summary

2010-09-17 16:47  mtheo <matteo.quintiliani@ingv.it>

	* [r449] moleface/index.php, moleface/templates/Dataface_Logo.html:
	  Minor changes

2010-09-17 15:33  mtheo <matteo.quintiliani@ingv.it>

	* [r448] moleface[ADD], moleface/.htaccess[ADD], moleface/conf[ADD],
	  moleface/conf.ini[ADD], moleface/conf/ApplicationDelegate.php[ADD],
	  moleface/images[ADD],
	  moleface/images/animated_gif_animals_0686.gif[ADD],
	  moleface/images/ew_logo.gif[ADD], moleface/index.php[ADD],
	  moleface/tables[ADD], moleface/tables/ew_arc_summary[ADD],
	  moleface/tables/ew_arc_summary/relationships.ini[ADD],
	  moleface/tables/ew_events_summary[ADD],
	  moleface/tables/ew_events_summary/ew_events_summary.php[ADD],
	  moleface/tables/ew_events_summary/fields.ini[ADD],
	  moleface/tables/ew_events_summary/relationships.ini[ADD],
	  moleface/tables/ew_instance[ADD],
	  moleface/tables/ew_instance/fields.ini[ADD],
	  moleface/tables/ew_instance/relationships.ini[ADD],
	  moleface/tables/v_ew_events[ADD],
	  moleface/tables/v_ew_events/fields.ini[ADD],
	  moleface/tables/v_ew_events/relationships.ini[ADD],
	  moleface/tables/v_ew_events/v_ew_events.php[ADD],
	  moleface/tables/v_ew_params_pick_sta_last_revision[ADD],
	  moleface/tables/v_ew_params_pick_sta_last_revision/fields.ini[ADD],
	  moleface/templates[ADD], moleface/templates/Dataface_Logo.html[ADD],
	  moleface/templates/Dataface_View_Record.html[ADD]: Started moleface
	  based on xataface

2010-08-24 13:50  mtheo <matteo.quintiliani@ingv.it>

	* [r366] moledb/moledb_create_ew_params_pick_sta_table.sql: Added views
	  for displaying last revision configuration values for each channel

2010-08-20 08:38  mtheo <matteo.quintiliani@ingv.it>

	* [r350] moledb/moledb_master_script.sh: Set default value

2010-08-20 08:36  mtheo <matteo.quintiliani@ingv.it>

	* [r349] moledb/moledb_create_ew_mole_regions.sql,
	  moledb/moledb_create_ew_params_pick_sta_sp.sql,
	  moledb/moledb_create_ew_params_pick_sta_table.sql,
	  moledb/moledb_create_functions.sql,
	  moledb/moledb_create_grants_sis.sql,
	  moledb/moledb_create_procedures.sql,
	  moledb/moledb_create_procedures_sis.sql,
	  moledb/moledb_create_tables.sql, moledb/moledb_create_triggers.sql,
	  moledb/moledb_create_views.sql: Removed explicit reference to the name
	  'mole'

2010-08-20 08:35  mtheo <matteo.quintiliani@ingv.it>

	* [r348] moledb/moledb_master_script.sh: Made script more general and
	  dependent on DBNAME value

2010-08-20 07:08  mtheo <matteo.quintiliani@ingv.it>

	* [r347] moledb/moledb_master_script.sh: Fixed minor bug

2010-08-20 07:06  mtheo <matteo.quintiliani@ingv.it>

	* [r346] moledb/moledb_create_ew_params_pick_sta_sp.sql,
	  moledb/moledb_create_procedures.sql, moledb/moledb_master_script.sh:
	  Minor changes

2010-08-20 06:59  mtheo <matteo.quintiliani@ingv.it>

	* [r345] moledb/moledb_populate_test_from_ew_params_pick_sta.sql.gz,
	  moledb/moledb_populate_test_from_hyporing_endeavour.sql.gz,
	  moledb/moledb_populate_test_from_hyporing_hew1.sql.gz,
	  moledb/moledb_populate_test_from_hyporing_hew2.sql.gz,
	  moledb/moledb_populate_test_from_pickring_endeavour.sql.gz,
	  moledb/moledb_populate_test_from_pickring_hew1.sql.gz,
	  moledb/moledb_populate_test_from_pickring_hew2.sql.gz: Minor changes

2010-08-20 06:53  mtheo <matteo.quintiliani@ingv.it>

	* [r344] moledb/moledb_master_script.sh: SQL script are run with
	  mole-user privileges whenever is possibile

2010-08-20 06:52  mtheo <matteo.quintiliani@ingv.it>

	* [r343] moledb/moledb_create_procedures_sis.sql: Moved grants to the
	  file moledb_create_grants_sis.sql

2010-08-20 06:52  mtheo <matteo.quintiliani@ingv.it>

	* [r342] moledb/moledb_create_grants_sis.sql[ADD]: Start

2010-08-20 06:51  mtheo <matteo.quintiliani@ingv.it>

	* [r341] moledb/moledb_create_ew_mole_regions.sql: fn_find_region_name()
	  returns a list of regions which match by Intersects()

2010-08-20 06:40  mtheo <matteo.quintiliani@ingv.it>

	* [r340] moledb/ew_mole_regions/regions_neic.format[ADD],
	  moledb/ew_mole_regions/regions_neic.sql[ADD]: Start

2010-08-19 12:17  mtheo <matteo.quintiliani@ingv.it>

	* [r339] moledb/moledb_master_script.sh: Restyling

2010-08-19 12:17  mtheo <matteo.quintiliani@ingv.it>

	* [r338] moledb/moledb_create_ew_params_pick_sta_sp.sql,
	  moledb/moledb_create_functions.sql,
	  moledb/moledb_create_procedures_sis.sql: Changed DEFINER with
	  CURRENT_USER

2010-08-19 12:17  mtheo <matteo.quintiliani@ingv.it>

	* [r337] moledb/moledb_create_triggers.sql: Substituded call with
	  mole.fn_find_region_name()

2010-08-19 12:16  mtheo <matteo.quintiliani@ingv.it>

	* [r336] moledb/moledb_create_procedures.sql: Changed DEFINER with
	  CURRENT_USER and removed stored procedures referred to
	  v_ew_events_xxxx

2010-08-19 12:14  mtheo <matteo.quintiliani@ingv.it>

	* [r335] moledb/moledb_create_views.sql: Removed views v_ew_events and
	  v_ew_events_sta_list

2010-08-19 12:14  mtheo <matteo.quintiliani@ingv.it>

	* [r334] moledb/moledb_create_ew_global_regions_db.sql[DEL],
	  moledb/moledb_create_ew_ingv_regions_db.sql[DEL],
	  moledb/moledb_create_ew_mole_regions.sql[ADD]: Renamed file
	  moledb_create_ew_mole_regions.sql

2010-08-19 12:13  mtheo <matteo.quintiliani@ingv.it>

	* [r333] moledb/ew_mole_regions[ADD],
	  moledb/ew_mole_regions/out_regions.sql[ADD],
	  moledb/ew_mole_regions/regions.format[ADD],
	  moledb/ew_mole_regions/regions.sh[ADD],
	  moledb/ew_mole_regions/regions.sql[ADD]: Start

2010-08-18 05:24  mtheo <matteo.quintiliani@ingv.it>

	* [r332] moledb/moledb_create_ew_ingv_regions_db.sql: Minor change

2010-08-18 05:24  mtheo <matteo.quintiliani@ingv.it>

	* [r331] moledb/moledb_create_ew_ingv_regions_db.sql: Minor change

2010-08-17 12:45  mtheo <matteo.quintiliani@ingv.it>

	* [r330] moledb/moledb_master_script.sh: Minor change

2010-08-17 12:45  mtheo <matteo.quintiliani@ingv.it>

	* [r329] moledb/moledb_create_ew_global_regions_db.sql: Fixed minor bug
	  in comment

2010-08-03 13:38  mtheo <matteo.quintiliani@ingv.it>

	* [r304] doc/mole-paper/mole.lyx: Sistemato un po', soprattutto i punti
	  della conclusione

2010-07-29 12:04  ilpint <stefano.pintore@ingv.it>

	* [r303] doc/mole-paper/mole.lyx: BLABLA removed

2010-07-29 08:59  mtheo <matteo.quintiliani@ingv.it>

	* [r302] doc/mole-paper/images/moledb.png, doc/mole-paper/mole.lyx:
	  Minor change

2010-07-29 08:54  ilpint <stefano.pintore@ingv.it>

	* [r301] doc/mole-paper/mole.lyx: Minor changes

2010-05-26 19:49  mtheo <matteo.quintiliani@ingv.it>

	* [r278] doc/mole-paper/mole.lyx: Added information about SRL
	  'Electronic Seismologist'

2010-05-26 19:48  mtheo <matteo.quintiliani@ingv.it>

	* [r277] doc[ADD], doc/mole-paper[ADD], doc/mole-paper/images[ADD],
	  doc/mole-paper/images/moledb.png[ADD], doc/mole-paper/mole.lyx[ADD]:
	  Start

2010-04-22 13:55  mtheo <matteo.quintiliani@ingv.it>

	* [r268] moledb/moledb_create_views.sql: Created a view for earthworm
	  message

2010-04-22 13:46  mtheo <matteo.quintiliani@ingv.it>

	* [r267] moledb/moledb_create_procedures.sql,
	  moledb/moledb_create_tables.sql: Added table ew_error and stored
	  procedure sp_ins_ew_error

2010-04-22 13:26  mtheo <matteo.quintiliani@ingv.it>

	* [r266] ew2moledb/ew2moledb.c: Fixed bug: added management of
	  TYPE_ERROR

2010-04-22 13:25  mtheo <matteo.quintiliani@ingv.it>

	* [r265] ew2moledb/ew2moledb_error.c: Removed last character from error
	  message. usually is a carriage return

2010-04-22 13:08  mtheo <matteo.quintiliani@ingv.it>

	* [r264] ew2moledb/ew2moledb.c, ew2moledb/ew2moledb_error.c[ADD],
	  ew2moledb/ew2moledb_error.h[ADD], ew2moledb/makefile.sol,
	  ew2moledb/makefile.ux: Added management of type error message

2010-04-21 12:38  mtheo <matteo.quintiliani@ingv.it>

	* [r263] moledb/moledb_create_procedures.sql: Added procedure
	  sp_sel_ew_event_phases()

2010-04-16 12:40  ilpint <stefano.pintore@ingv.it>

	* [r261] moledb/moledb_create_procedures_sis.sql: Aggiunto calcolo
	  differenza tempi

2010-04-14 08:27  carletto

	* [r252] moledb/moledb_create_procedures_sis.sql: minor bug

2010-04-14 08:16  carletto

	* [r251] moledb/moledb_create_procedures_sis.sql: added comapere events
	  and grants

2010-04-08 13:50  carletto

	* [r248] moledb/moledb_create_procedures_sis.sql: minor bug fixed

2010-04-08 13:03  carletto

	* [r247] moledb/moledb_create_procedures_sis.sql: added
	  sp_ew_event_instance

2010-04-08 12:55  carletto

	* [r246] moledb/moledb_create_triggers.sql: added trigger on update to
	  populate table

2010-04-08 11:57  valentino

	* [r245] moledb/moledb_create_procedures_sis.sql: Aggiunte alcune stored
	  procedures e aggiunta una. ANDREA BONO

2010-04-08 11:32  mtheo <matteo.quintiliani@ingv.it>

	* [r244] moledb/ew_params/ew_params_pick.sh: minor change

2010-04-08 11:32  mtheo <matteo.quintiliani@ingv.it>

	* [r243] moledb/ew_params/ew_params_pick_sp.sql[DEL]: Removed

2010-04-08 11:27  mtheo <matteo.quintiliani@ingv.it>

	* [r242] moledb/moledb_create_ew_params_pick_sta_sp.sql: Fixed bug:
	  increment revision also when channel id changes

2010-04-08 09:29  mtheo <matteo.quintiliani@ingv.it>

	* [r241] moledb/moledb_create_tables.sql: Added hostname to ew_instance

2010-04-07 13:32  ilpint <stefano.pintore@ingv.it>

	* [r240] moledb/moledb_create_ew_ingv_regions_db.sql: Uso intersects,
	  poligoni orientati in senso antiorario

2010-04-07 08:12  ilpint <stefano.pintore@ingv.it>

	* [r239] moledb/moledb_create_ew_ingv_regions_db.sql: Messe regioni di
	  esempio ed usati i poligoni mysqlmoledb_create_ew_ingv_regions_db.sql

2010-04-07 08:12  ilpint <stefano.pintore@ingv.it>

	* [r238] moledb/moledb_master_script.sh: Rimessi i pickings

2010-04-06 10:01  ilpint <stefano.pintore@ingv.it>

	* [r237] moledb/moledb_master_script.sh: Changed zones references with
	  regions

2010-04-06 08:31  ilpint <stefano.pintore@ingv.it>

	* [r236] moledb/moledb_create_triggers.sql: There is a dummy
	  fn_find_region_name in mole_regions

2010-04-06 08:30  ilpint <stefano.pintore@ingv.it>

	* [r235] moledb/moledb_master_script.sh: Added mole_regions database and
	  functions

2010-04-06 08:29  ilpint <stefano.pintore@ingv.it>

	* [r234] moledb/moledb_create_ew_global_regions_db.sql[ADD],
	  moledb/moledb_create_ew_ingv_regions_db.sql[ADD]: Start

2010-04-02 09:59  carletto

	* [r232] moledb/moledb_create_procedures_sis.sql[ADD]: sp used by sisMap
	  and sisPick

2010-04-02 09:58  carletto

	* [r231] moledb/moledb_master_script.sh: grant for mole_user to
	  seis_ev.fn_find_region_name

2010-04-02 09:56  carletto

	* [r230] moledb/moledb_create_triggers.sql: added region and sqid

2010-03-31 12:28  mtheo <matteo.quintiliani@ingv.it>

	* [r229] moledb/moledb_create_triggers.sql: Added ew instance name in
	  ew_events_summary

2010-03-31 12:04  mtheo <matteo.quintiliani@ingv.it>

	* [r228] moledb/moledb_create_triggers.sql: Ok for getting values from
	  arc and mangitude summaries

2010-03-31 11:42  mtheo <matteo.quintiliani@ingv.it>

	* [r227] moledb/moledb_create_triggers.sql: Up to now is ok, missing a
	  little

2010-03-31 10:32  mtheo <matteo.quintiliani@ingv.it>

	* [r226] moledb/moledb_create_triggers.sql: Ok for trigger from
	  arc_summary

2010-03-31 10:03  mtheo <matteo.quintiliani@ingv.it>

	* [r225] moledb/moledb_create_ew_params_pick_sta_sp.sql: Minor change

2010-03-31 10:03  mtheo <matteo.quintiliani@ingv.it>

	* [r224] moledb/moledb_create_triggers.sql,
	  moledb/moledb_master_script.sh: Now is ok

2010-03-31 08:50  mtheo <matteo.quintiliani@ingv.it>

	* [r223] moledb/moledb_master_script.sh: Added triggers

2010-03-31 08:49  mtheo <matteo.quintiliani@ingv.it>

	* [r222] moledb/moledb_create_triggers.sql[ADD]: Start

2010-03-01 14:41  mtheo <matteo.quintiliani@ingv.it>

	* [r208] moledb/moledb_create_procedures.sql: Added
	  sp_sel_ew_events_sta_list_region_st_et() and
	  sp_sel_ew_events_region_st_et()

2010-03-01 14:40  mtheo <matteo.quintiliani@ingv.it>

	* [r207] moledb/moledb_create_views.sql: added ot_dt, ot_usec and
	  modified_mag to v_ew_events

2010-03-01 14:13  mtheo <matteo.quintiliani@ingv.it>

	* [r206] moledb/moledb_create_procedures.sql,
	  moledb/moledb_create_views.sql: Removed 'ORDER BY' from SELECT

2010-02-08 07:06  mtheo <matteo.quintiliani@ingv.it>

	* [r192] ew2moledb/TODO: added title of interesting sections

2010-02-06 11:55  mtheo <matteo.quintiliani@ingv.it>

	* [r191] ew2moledb/makefile.sol, ew2moledb/makefile.ux: Use reentrant
	  libraries of mysqlclient

2010-02-06 11:45  mtheo <matteo.quintiliani@ingv.it>

	* [r190] ew2moledb/TODO[ADD]: Start

2010-02-03 13:31  mtheo <matteo.quintiliani@ingv.it>

	* [r178] moledb/moledb_create_procedures.sql: Changed db to seisnet for
	  function fn_find_region() and tables polygon, reg_neic

2010-02-03 13:31  mtheo <matteo.quintiliani@ingv.it>

	* [r177] moledb/moledb_create_ew_params_pick_sta_sp.sql: Changed type
	  for Pick_Flag

2010-02-03 12:09  mtheo <matteo.quintiliani@ingv.it>

	* [r176] moledb/ew_params/ew_params_pick.sh: Up to date to mole db

2010-02-03 10:12  mtheo <matteo.quintiliani@ingv.it>

	* [r175] moledb/moledb_master_script.sh: commented drop user

2010-02-03 10:04  mtheo <matteo.quintiliani@ingv.it>

	* [r174] moledb/moledb_master_script.sh: Changed hgp1 in hdb1

2010-02-03 10:03  mtheo <matteo.quintiliani@ingv.it>

	* [r173] moledb/moledb_create_ew_params_pick_sta_sp.sql: Insert value of
	  ext_id only if it is present in seisnet.channel_52, otherwise NULL

2010-02-03 10:03  mtheo <matteo.quintiliani@ingv.it>

	* [r172] moledb/moledb_create_ew_params_pick_sta_table.sql: Minor
	  changes

2010-02-03 09:14  mtheo <matteo.quintiliani@ingv.it>

	* [r171] moledb/moledb_create_ew_params_pick_sta_table.sql: Removed KEY
	  containing fk_channel_52

2010-02-02 14:26  mtheo <matteo.quintiliani@ingv.it>

	* [r170] moledb/moledb_master_script.sh: Added table ew_params_pick_sta

2010-02-02 14:20  mtheo <matteo.quintiliani@ingv.it>

	* [r169] moledb/moledb_create_ew_params_pick_sta_sp.sql[ADD],
	  moledb/moledb_create_ew_params_pick_sta_table.sql[ADD],
	  moledb/moledb_populate_test_from_ew_params_pick_sta.sql.gz[ADD]: Start

2010-02-01 16:07  mtheo <matteo.quintiliani@ingv.it>

	* [r168] moledb/moledb_create_procedures.sql: Added stored procedure
	  sp_ins_ew_coda_scnl()

2010-01-22 15:08  mtheo <matteo.quintiliani@ingv.it>

	* [r167] moledb/moledb_create_views.sql: added v_ew_quake_evolution

2010-01-22 12:36  mtheo <matteo.quintiliani@ingv.it>

	* [r166] ew2moledb/ew2moledb_hyporing.d, ew2moledb/ew2moledb_wavering.d:
	  Set to the maximum value

2010-01-22 09:28  mtheo <matteo.quintiliani@ingv.it>

	* [r165] moledb/moledb_create_procedures.sql,
	  moledb/moledb_create_views.sql, moledb/moledb_master_script.sh: Added
	  function fn_get_str_from_dt_usec()

2010-01-22 09:25  mtheo <matteo.quintiliani@ingv.it>

	* [r164] moledb/moledb_create_functions.sql[ADD]: Start

2010-01-22 07:00  mtheo <matteo.quintiliani@ingv.it>

	* [r163] moledb/moledb_create_views.sql: Removed 'order by' from view

2010-01-22 06:44  mtheo <matteo.quintiliani@ingv.it>

	* [r162] moledb/moledb_create_procedures.sql: Explicited attributes to
	  not display reg_id

2010-01-21 16:29  mtheo <matteo.quintiliani@ingv.it>

	* [r161] moledb/moledb_create_procedures.sql: Added procedure
	  sp_select_ew_events_region

2010-01-21 16:10  mtheo <matteo.quintiliani@ingv.it>

	* [r160] moledb/moledb_create_views.sql: Minor change

2010-01-21 16:08  mtheo <matteo.quintiliani@ingv.it>

	* [r159] moledb/moledb_create_views.sql: Added modname for magnitude
	  message

2010-01-21 15:22  mtheo <matteo.quintiliani@ingv.it>

	* [r158] moledb/moledb_create_procedures.sql: Adde useful select command

2010-01-21 15:21  mtheo <matteo.quintiliani@ingv.it>

	* [r157] moledb/moledb_create_procedures.sql: Removed unuseful select
	  command

2010-01-21 14:21  mtheo <matteo.quintiliani@ingv.it>

	* [r156] moledb/moledb_master_script.sh: Added exit

2010-01-21 14:17  mtheo <matteo.quintiliani@ingv.it>

	* [r155] moledb/moledb_master_script.sh: Added questions

2010-01-21 14:17  mtheo <matteo.quintiliani@ingv.it>

	* [r154] moledb/moledb_create_tables.sql: Removed drop and create of
	  database

2010-01-21 13:53  mtheo <matteo.quintiliani@ingv.it>

	* [r153] ew2moledb/ew2moledb.d, ew2moledb/ew2moledb_hyporing.d,
	  ew2moledb/ew2moledb_pickring.d, ew2moledb/ew2moledb_wavering.d:
	  Changed other default parameters

2010-01-21 13:47  mtheo <matteo.quintiliani@ingv.it>

	* [r152] ew2moledb/ew2moledb.d,
	  ew2moledb/ew2moledb.ewinstancename.d[ADD],
	  ew2moledb/ew2moledb_hyporing.d, ew2moledb/ew2moledb_pickring.d,
	  ew2moledb/ew2moledb_wavering.d: Change some default parameters

2010-01-21 13:40  mtheo <matteo.quintiliani@ingv.it>

	* [r151] moledb/moledb_master_script.sh[ADD],
	  moledb/moledb_populate_test_from_hyporing_endeavour.sql.gz[ADD],
	  moledb/moledb_populate_test_from_hyporing_hew1.sql.gz[ADD],
	  moledb/moledb_populate_test_from_hyporing_hew2.sql.gz[ADD],
	  moledb/moledb_populate_test_from_pickring_endeavour.sql.gz[ADD],
	  moledb/moledb_populate_test_from_pickring_hew1.sql.gz[ADD],
	  moledb/moledb_populate_test_from_pickring_hew2.sql.gz[ADD]: Start

2010-01-21 13:30  mtheo <matteo.quintiliani@ingv.it>

	* [r150] moledb/moledb_create_procedures.sql: Fixed bug inserting into
	  mole.ew_magnitude_phase

2010-01-21 13:29  mtheo <matteo.quintiliani@ingv.it>

	* [r149] moledb/moledb_create_tables.sql: Location can not be NULL, set
	  to '--'

2010-01-21 11:33  mtheo <matteo.quintiliani@ingv.it>

	* [r148] ew2moledb/ew2moledb_arc.c, ew2moledb/ew2moledb_arc.h,
	  ew2moledb/ew2moledb_magnitude.c, ew2moledb/ew2moledb_magnitude.h,
	  ew2moledb/ew2moledb_pickcoda.c, ew2moledb/ew2moledb_pickcoda.h,
	  ew2moledb/ew2moledb_quakelink.c, ew2moledb/ew2moledb_quakelink.h,
	  ew2moledb/ew2moledb_strongmotionII.c,
	  ew2moledb/ew2moledb_strongmotionII.h, ew2moledb/ew2moledb_tracebuf.c,
	  ew2moledb/ew2moledb_tracebuf.h: Substituted hostname with
	  ewinstancename

2010-01-21 11:27  mtheo <matteo.quintiliani@ingv.it>

	* [r147] ew2moledb/ew2moledb.c, ew2moledb/ew2moledb.d,
	  ew2moledb/ew2moledb_hyporing.d, ew2moledb/ew2moledb_pickring.d,
	  ew2moledb/ew2moledb_wavering.d: Added parameters DBHostname, DBName,
	  DBUsername, DBPassword, DBPort, EWInstanceName

2010-01-21 11:03  mtheo <matteo.quintiliani@ingv.it>

	* [r146] moledb/moledb_create_tables.sql: loc can be null in ew_scnl

2010-01-21 11:03  mtheo <matteo.quintiliani@ingv.it>

	* [r145] moledb/moledb_create_procedures.sql: Added sp_ins_ew_scnl

2010-01-21 09:30  mtheo <matteo.quintiliani@ingv.it>

	* [r144] moledb/moledb_create_views.sql: Added magnitude and minor
	  change

2010-01-21 09:14  mtheo <matteo.quintiliani@ingv.it>

	* [r143] moledb/moledb_create_views.sql: Added v_ew_events and minor
	  change to v_ew_picks

2010-01-21 08:58  mtheo <matteo.quintiliani@ingv.it>

	* [r142] moledb/moledb_create_procedures.sql: Added stored procedures
	  for sp_ins_ew_magnitude_summary, sp_ins_ew_magnitude_phase and
	  sp_ins_ew_strongmotionII

2010-01-21 08:15  mtheo <matteo.quintiliani@ingv.it>

	* [r141] moledb/moledb_create_procedures.sql,
	  moledb/moledb_create_tables.sql: Renamed ew_quake in ew_quake2k for
	  backword compatibility

2010-01-20 22:37  mtheo <matteo.quintiliani@ingv.it>

	* [r140] moledb/moledb_create_procedures.sql: Added '_out' to the name
	  sp_get_ew_spkseq and sp_get_ew_sqkseq

2010-01-20 22:35  mtheo <matteo.quintiliani@ingv.it>

	* [r139] moledb/moledb_create_views.sql[ADD]: Start

2010-01-20 22:23  mtheo <matteo.quintiliani@ingv.it>

	* [r138] moledb/moledb_create_procedures.sql[ADD]: Start

2010-01-20 21:12  mtheo <matteo.quintiliani@ingv.it>

	* [r137] moledb/moledb_create_tables.sql: Renamed scnl_id scnlid

2010-01-20 16:00  mtheo <matteo.quintiliani@ingv.it>

	* [r136] moledb/moledb_create_tables.sql: Changed 'KEY' with 'UNIQUE'

2010-01-20 12:47  mtheo <matteo.quintiliani@ingv.it>

	* [r135] moledb/moledb_create_tables.sql: Minor change: added modified
	  to ew_instance

2010-01-20 12:43  mtheo <matteo.quintiliani@ingv.it>

	* [r134] moledb/moledb_create_tables.sql: Declared tables ew_spkseq and
	  ew_sqkseq, many indexes and improvements

2010-01-19 15:48  mtheo <matteo.quintiliani@ingv.it>

	* [r133] moledb/moledb_create_tables.sql[ADD]: Start

2010-01-19 13:34  mtheo <matteo.quintiliani@ingv.it>

	* [r132] ew2moledb[ADD], ew2moledb/ew2moledb.c[ADD],
	  ew2moledb/ew2moledb.d[ADD], ew2moledb/ew2moledb.desc[ADD],
	  ew2moledb/ew2moledb_arc.c[ADD], ew2moledb/ew2moledb_arc.h[ADD],
	  ew2moledb/ew2moledb_hyporing.d[ADD],
	  ew2moledb/ew2moledb_hyporing.desc[ADD],
	  ew2moledb/ew2moledb_magnitude.c[ADD],
	  ew2moledb/ew2moledb_magnitude.h[ADD],
	  ew2moledb/ew2moledb_mysql.c[ADD], ew2moledb/ew2moledb_mysql.h[ADD],
	  ew2moledb/ew2moledb_pickcoda.c[ADD],
	  ew2moledb/ew2moledb_pickcoda.h[ADD],
	  ew2moledb/ew2moledb_pickring.d[ADD],
	  ew2moledb/ew2moledb_pickring.desc[ADD],
	  ew2moledb/ew2moledb_quakelink.c[ADD],
	  ew2moledb/ew2moledb_quakelink.h[ADD],
	  ew2moledb/ew2moledb_sendmail.c[ADD],
	  ew2moledb/ew2moledb_sendmail.h[ADD],
	  ew2moledb/ew2moledb_strongmotionII.c[ADD],
	  ew2moledb/ew2moledb_strongmotionII.h[ADD],
	  ew2moledb/ew2moledb_tracebuf.c[ADD],
	  ew2moledb/ew2moledb_tracebuf.h[ADD],
	  ew2moledb/ew2moledb_wavering.d[ADD],
	  ew2moledb/ew2moledb_wavering.desc[ADD], ew2moledb/makefile.nt[ADD],
	  ew2moledb/makefile.sol[ADD], ew2moledb/makefile.ux[ADD]: Start from
	  ew2ingvdb 2010/01/19

2009-11-18 13:50  mtheo <matteo.quintiliani@ingv.it>

	* [r109] moledb/ew_params/ew_params_pick.sh,
	  moledb/ew_params/ew_params_pick_sp.sql,
	  moledb/ew_params/ew_params_pick_table.sql: Added modname

2009-11-12 11:04  mtheo <matteo.quintiliani@ingv.it>

	* [r108] moledb/ew_params/ew_params_pick_table.sql: Added modname

2009-10-27 10:09  mtheo <matteo.quintiliani@ingv.it>

	* [r106] moledb/ew_params/ew_params_pick.sh[ADD],
	  moledb/ew_params/ew_params_pick_sp.sql[ADD],
	  moledb/ew_params/ew_params_pick_table.sql[ADD],
	  moledb/ew_params/ew_pick_params.sh[DEL],
	  moledb/ew_params/ew_pick_params_sp.sql[DEL],
	  moledb/ew_params/ew_pick_params_table.sql[DEL]: Renamed

2009-10-27 10:07  mtheo <matteo.quintiliani@ingv.it>

	* [r105] moledb/ew_params/ew_pick_params.sh: Minor changes

2009-10-27 10:04  mtheo <matteo.quintiliani@ingv.it>

	* [r104] moledb/ew_params/ew_pick_params_sp.sql: Changed only output
	  messages

2009-10-21 11:57  mtheo <matteo.quintiliani@ingv.it>

	* [r98] moledb/ew_params/ew_pick_params_sp.sql: Improvements: check if
	  the parameters value in input are the same of the last revision

2009-10-20 15:28  mtheo <matteo.quintiliani@ingv.it>

	* [r97] moledb/ew_params/ew_pick_params_sp.sql: Change: last revision is
	  the current parameter values

2009-10-20 15:17  mtheo <matteo.quintiliani@ingv.it>

	* [r96] moledb/ew_params/ew_pick_params_sp.sql[ADD],
	  moledb/ew_params/ew_pick_params_table.sql[ADD]: Start

2009-10-20 15:17  mtheo <matteo.quintiliani@ingv.it>

	* [r95] moledb/ew_params/ew_pick_params.sql[DEL]: Removed

2009-09-25 14:05  mtheo <matteo.quintiliani@ingv.it>

	* [r90] moledb/ew_params/ew_pick_params.sh,
	  moledb/ew_params/ew_pick_params.sql: Fixed sp_insert_ew_pick_params

2009-09-24 08:32  mtheo <matteo.quintiliani@ingv.it>

	* [r89] moledb/ew_params/ew_pick_params.sh[ADD],
	  moledb/ew_params/ew_pick_params.sql[ADD]: Start

2009-03-27 10:15  mtheo <matteo.quintiliani@ingv.it>

	* [r69] moledb/ew_params/pick_ew.sp_insert_pick_ew.sql: Changed order in
	  SCN

2009-03-25 13:21  mtheo <matteo.quintiliani@ingv.it>

	* [r64] moledb/ew_params/pick_ew.call_sql_sp_insert_pick_ew.sh: Removing
	  comment at the end of line

2009-03-23 07:16  mtheo <matteo.quintiliani@ingv.it>

	* [r63] moledb/ew_params/pick_ew.call_sql_sp_insert_pick_ew.sh: Super
	  optimization

2009-03-20 10:25  mtheo <matteo.quintiliani@ingv.it>

	* [r62] moledb/ew_params/pick_ew.sp_insert_pick_ew.sql: Improved and
	  added output messages

2009-03-18 15:35  mtheo <matteo.quintiliani@ingv.it>

	* [r61] moledb/ew_params/pick_ew.call_sql_sp_insert_pick_ew.sh[ADD]:
	  Generate calls to the stored procedure "sp_insert_pick_ew" from
	  pick_ew.sta

2009-03-18 15:34  mtheo <matteo.quintiliani@ingv.it>

	* [r60] .[ADD], moledb[ADD], moledb/ew_params[ADD],
	  moledb/ew_params/pick_ew.sp_insert_pick_ew.sql[ADD]: Stored Procedure
	  to insert pick_ew.sta line into the DB

